Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/configuration/config-min.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/configuration/config-min.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/configuration/config-min.gen	(revision 145)
@@ -0,0 +1,135 @@
+Core
+32	32	+1	# size_general_data                                                                    
+2	2	+1	# size_special_data                                                                    
+1	1	+1	# nb_thread                                                                            
+1	1	+1	# size_ifetch_queue                       [0]       [nb_thread]                                  
+1	1	+1	# nb_inst_fetch                           [0]       [nb_thread]                                  
+2	2	+1	# ras_size_queue                          [0]       [nb_thread]                                  
+1	1	+1	# upt_size_queue                          [0]       [nb_thread]                                  
+1	1	+1	# ufpt_size_queue                         [0]       [nb_thread]                                  
+1	1	+1	# nb_decod_bloc                                                                           
+1	1	+1	# size_decod_queue                        [0]       [nb_decod_bloc]                              
+0	1	+1	# decod_queue_scheme                      [0]       [nb_decod_bloc]                              
+1	1	+1	# nb_inst_decod                           [0]       [nb_decod_bloc]                              
+1	1	+1	# nb_context_select                       [0]       [nb_decod_bloc]                              
+1	1	+1	# context_select_priority                 [0]       [nb_decod_bloc]                              
+1	1	+1	# context_select_load_balancing           [0]       [nb_decod_bloc]                              
+1	1	+1	# nb_rename_bloc                                                                          
+1	1	+1	# nb_inst_insert                          [0]       [nb_rename_bloc]
+1	1	+1	# nb_inst_retire                          [0]       [nb_rename_bloc]
+1	1	+1	# rename_select_priority                  [0]       [nb_rename_bloc]                             
+1	1	+1	# rename_select_load_balancing            [0]       [nb_rename_bloc]                             
+1	1	+1	# rename_select_nb_front_end_select       [0]       [nb_rename_bloc]                             
+64	64	+1	# nb_general_register                     [0]       [nb_rename_bloc]                             
+4	4	+1	# nb_special_register                     [0]       [nb_rename_bloc]                             
+1	1	+1	# nb_reg_free                             [0]       [nb_rename_bloc]                             
+1	1	+1	# nb_rename_unit_bank                     [0]       [nb_rename_bloc]                             
+1	1	+1	# nb_read_bloc                                                                            
+1	1	+1	# size_read_queue                         [0]       [nb_read_bloc]                               
+1	1	+1	# size_reservation_station                [0]       [nb_read_bloc]                               
+1	1	+1	# nb_inst_retire_reservation_station      [0]       [nb_read_bloc]                               
+1	1	+1	# nb_write_bloc                                                                           
+1	1	+1	# size_write_queue                        [0]       [nb_write_bloc]                              
+1	1	+1	# size_execute_queue                      [0]       [nb_write_bloc]                              
+0	0	+1	# nb_bypass_write                         [0]       [nb_write_bloc]                              
+0	0	+1	# write_queue_scheme                      [0]       [nb_write_bloc]                              
+1	1	+1	# nb_load_store_unit                                                                      
+2	2	+1	# size_store_queue                        [0]       [nb_load_store_unit]                         
+1	1	+1	# size_load_queue                         [0]       [nb_load_store_unit]                         
+1	1	+1	# size_speculative_access_queue           [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_port_check                           [0]       [nb_load_store_unit]                         
+2	2	+1	# speculative_load                        [0]       [nb_load_store_unit]                         
+0	0	+1	# nb_bypass_memory                        [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_cache_port                           [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_inst_memory                          [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_functionnal_unit                                                                     
+1	1	+1	# nb_inst_functionnal_unit                [0]       [nb_functionnal_unit]                        
+1	1	+1	# nb_icache_port                                                                          
+1	1	+1	# icache_access_priority                                                                  
+1	1	+1	# icache_access_load_balancing                                                            
+1	1	+1	# nb_dcache_port                                                                          
+1	1	+1	# dcache_access_priority                                                                  
+1	1	+1	# dcache_access_load_balancing                                                            
+1	1	+1	# nb_front_end                                                                            
+1	1	+1	# nb_context                              [0]       [nb_front_end]                               
+1	1	+1	# nb_decod_unit                           [0]       [nb_front_end]                               
+1	1	+1	# nb_inst_branch_predict                  [0]       [nb_front_end]                               
+1	1	+1	# nb_inst_branch_decod                    [0]       [nb_front_end]                               
+1	1	+1	# nb_inst_branch_update                   [0]       [nb_front_end]                               
+1	1	+1	# btb_size_queue                          [0]       [nb_front_end]                               
+1	1	+1	# btb_associativity                       [0]       [nb_front_end]                               
+2	2	+1	# btb_size_counter                        [0]       [nb_front_end]                               
+1	1	+1	# btb_victim_scheme                       [0]       [nb_front_end]                               
+1	1	+1	# dir_predictor_scheme                    [0]       [nb_front_end]                               
+1	1	+1	# dir_have_bht                            [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_have_bht                            [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_have_bht                            [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_size_shifter                    [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_size_shifter                    [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_size_shifter                    [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_nb_shifter                      [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_nb_shifter                      [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_nb_shifter                      [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_have_pht                            [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_have_pht                            [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_have_pht                            [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_counter                    [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_counter                    [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_counter                    [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_nb_counter                      [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_nb_counter                      [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_nb_counter                      [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_address_share              [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_address_share              [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_address_share              [0][2]    [nb_front_end][3]                            
+1	1	+1	# nb_ooo_engine                                                                           
+1	1	+1	# nb_rename_unit                          [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_issue                           [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_reexecute                       [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_commit                          [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_branch_complete                 [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_rename_unit_select                   [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_execute_loop_select                  [0]       [nb_ooo_engine]                              
+1	1	+1	# size_re_order_buffer                    [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_re_order_buffer_bank                 [0]       [nb_ooo_engine]                              
+1	1	+1	# commit_priority                         [0]       [nb_ooo_engine]                              
+1	1	+1	# commit_load_balancing                   [0]       [nb_ooo_engine]                              
+1	1	+1	# size_issue_queue                        [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_issue_queue_bank                     [0]       [nb_ooo_engine]                              
+1	1	+1	# issue_priority                          [0]       [nb_ooo_engine]                              
+1	1	+1	# issue_load_balancing                    [0]       [nb_ooo_engine]                              
+1	1	+1	# size_reexecute_queue                    [0]       [nb_ooo_engine]                              
+1	1	+1	# reexecute_priority                      [0]       [nb_ooo_engine]                              
+1	1	+1	# reexecute_load_balancing                [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_execute_loop                                                                         
+1	1	+1	# nb_read_unit                            [0]       [nb_execute_loop]                            
+2	2	+1	# nb_execute_unit                         [0]       [nb_execute_loop]                            
+1	1	+1	# nb_write_unit                           [0]       [nb_execute_loop]                            
+1	1	+1	# nb_gpr_bank                             [0]       [nb_execute_loop]                            
+1	1	+1	# nb_gpr_port_read_by_bank                [0]       [nb_execute_loop]                            
+1	1	+1	# nb_gpr_port_write_by_bank               [0]       [nb_execute_loop]                            
+1	1	+1	# nb_spr_bank                             [0]       [nb_execute_loop]                            
+1	1	+1	# nb_spr_port_read_by_bank                [0]       [nb_execute_loop]                            
+1	1	+1	# nb_spr_port_write_by_bank               [0]       [nb_execute_loop]                            
+1	1	+1	# execution_unit_to_write_unit_priority   [0]       [nb_execute_loop]                            
+1	1	+1	# read_unit_to_execution_unit_priority    [0]       [nb_execute_loop]                            
+0	0	+1	# link_context_with_thread                [0]       [nb_thread]                                  
+0	0	+1	# link_decod_unit_with_decod_bloc         [0]       [nb_decod_bloc]                              
+0	0	+1	# link_rename_unit_with_rename_bloc       [0]       [nb_rename_bloc]                             
+0	0	+1	# link_read_unit_with_read_bloc           [0]       [nb_read_bloc]                               
+0	0	+1	# link_write_unit_with_write_bloc         [0]       [nb_write_bloc]                              
+0	0	+1	# link_execute_unit_with_functionnal_unit [0]       [nb_functionnal_unit]                        
+1	1	+1	# link_execute_unit_with_load_store_unit  [0]       [nb_load_store_unit]                         
+0	0	+1	# link_decod_bloc_with_thread             [0]       [nb_thread]                                  
+0	0	+1	# link_rename_bloc_with_front_end         [0]       [nb_front_end]                               
+1	1	+1	# table_dispatch                          [0][0][0] [nb_ooo_engine][nb_inst_issue][nb_read_bloc] 
+1	1	+1	# link_read_bloc_and_load_store_unit      [0][0]    [nb_read_bloc][nb_load_store_unit]           
+1	1	+1	# link_read_bloc_and_functionnal_unit     [0][0]    [nb_read_bloc][nb_functionnal_unit]          
+1	1	+1	# link_write_bloc_and_load_store_unit     [0][0]    [nb_write_bloc][nb_load_store_unit]          
+1	1	+1	# link_write_bloc_and_functionnal_unit    [0][0]    [nb_write_bloc][nb_functionnal_unit]         
+0	0	+1	# link_load_store_unit_with_thread        [0]       [nb_thread]                                  
+1	1	+1	# link_thread_and_functionnal_unit        [0][0]    [nb_thread][nb_functionnal_unit]             
+0	0	+1	# link_icache_port_with_thread            [0]       [nb_thread]                                  
+0	0	+1	# link_dcache_port_with_load_store_unit   [0][0]    [nb_load_store_unit][nb_cache_port]          
+1	1	+1	# dispatch_priority                                                                    
+1	1	+1	# dispatch_load_balancing                                                              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/configuration/config-w1a.gen
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/configuration/config-w1a.gen	(revision 145)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/configuration/config-w1a.gen	(revision 145)
@@ -0,0 +1,135 @@
+Core
+32	32	+1	# size_general_data                                                                    
+2	2	+1	# size_special_data                                                                    
+1	1	+1	# nb_thread                                                                            
+4	4	+1	# size_ifetch_queue                       [0]       [nb_thread]                                  
+1	1	+1	# nb_inst_fetch                           [0]       [nb_thread]                                  
+4	4	+1	# ras_size_queue                          [0]       [nb_thread]                                  
+4	4	+1	# upt_size_queue                          [0]       [nb_thread]                                  
+2	2	+1	# ufpt_size_queue                         [0]       [nb_thread]                                  
+1	1	+1	# nb_decod_bloc                                                                           
+4	4	+1	# size_decod_queue                        [0]       [nb_decod_bloc]                              
+0	1	+1	# decod_queue_scheme                      [0]       [nb_decod_bloc]                              
+1	1	+1	# nb_inst_decod                           [0]       [nb_decod_bloc]                              
+1	1	+1	# nb_context_select                       [0]       [nb_decod_bloc]                              
+1	1	+1	# context_select_priority                 [0]       [nb_decod_bloc]                              
+1	1	+1	# context_select_load_balancing           [0]       [nb_decod_bloc]                              
+1	1	+1	# nb_rename_bloc                                                                          
+1	1	+1	# nb_inst_insert                          [0]       [nb_rename_bloc]
+1	1	+1	# nb_inst_retire                          [0]       [nb_rename_bloc]
+1	1	+1	# rename_select_priority                  [0]       [nb_rename_bloc]                             
+1	1	+1	# rename_select_load_balancing            [0]       [nb_rename_bloc]                             
+1	1	+1	# rename_select_nb_front_end_select       [0]       [nb_rename_bloc]                             
+64	64	+1	# nb_general_register                     [0]       [nb_rename_bloc]                             
+4	4	+1	# nb_special_register                     [0]       [nb_rename_bloc]                             
+1	1	+1	# nb_reg_free                             [0]       [nb_rename_bloc]                             
+1	1	+1	# nb_rename_unit_bank                     [0]       [nb_rename_bloc]                             
+1	1	+1	# nb_read_bloc                                                                            
+4	4	+1	# size_read_queue                         [0]       [nb_read_bloc]                               
+4	4	+1	# size_reservation_station                [0]       [nb_read_bloc]                               
+1	1	+1	# nb_inst_retire_reservation_station      [0]       [nb_read_bloc]                               
+1	1	+1	# nb_write_bloc                                                                           
+4	4	+1	# size_write_queue                        [0]       [nb_write_bloc]                              
+4	4	+1	# size_execute_queue                      [0]       [nb_write_bloc]                              
+0	0	+1	# nb_bypass_write                         [0]       [nb_write_bloc]                              
+0	0	+1	# write_queue_scheme                      [0]       [nb_write_bloc]                              
+1	1	+1	# nb_load_store_unit                                                                      
+4	4	+1	# size_store_queue                        [0]       [nb_load_store_unit]                         
+4	4	+1	# size_load_queue                         [0]       [nb_load_store_unit]                         
+4	4	+1	# size_speculative_access_queue           [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_port_check                           [0]       [nb_load_store_unit]                         
+2	2	+1	# speculative_load                        [0]       [nb_load_store_unit]                         
+0	0	+1	# nb_bypass_memory                        [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_cache_port                           [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_inst_memory                          [0]       [nb_load_store_unit]                         
+1	1	+1	# nb_functionnal_unit                                                                     
+1	1	+1	# nb_inst_functionnal_unit                [0]       [nb_functionnal_unit]                        
+1	1	+1	# nb_icache_port                                                                          
+1	1	+1	# icache_access_priority                                                                  
+1	1	+1	# icache_access_load_balancing                                                            
+1	1	+1	# nb_dcache_port                                                                          
+1	1	+1	# dcache_access_priority                                                                  
+1	1	+1	# dcache_access_load_balancing                                                            
+1	1	+1	# nb_front_end                                                                            
+1	1	+1	# nb_context                              [0]       [nb_front_end]                               
+1	1	+1	# nb_decod_unit                           [0]       [nb_front_end]                               
+1	1	+1	# nb_inst_branch_predict                  [0]       [nb_front_end]                               
+1	1	+1	# nb_inst_branch_decod                    [0]       [nb_front_end]                               
+1	1	+1	# nb_inst_branch_update                   [0]       [nb_front_end]                               
+32	32	+1	# btb_size_queue                          [0]       [nb_front_end]                               
+2	2	+1	# btb_associativity                       [0]       [nb_front_end]                               
+2	2	+1	# btb_size_counter                        [0]       [nb_front_end]                               
+3	3	+1	# btb_victim_scheme                       [0]       [nb_front_end]                               
+1	1	+1	# dir_predictor_scheme                    [0]       [nb_front_end]                               
+1	1	+1	# dir_have_bht                            [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_have_bht                            [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_have_bht                            [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_size_shifter                    [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_size_shifter                    [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_size_shifter                    [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_nb_shifter                      [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_nb_shifter                      [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_bht_nb_shifter                      [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_have_pht                            [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_have_pht                            [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_have_pht                            [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_counter                    [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_counter                    [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_counter                    [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_nb_counter                      [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_nb_counter                      [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_nb_counter                      [0][2]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_address_share              [0][0]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_address_share              [0][1]    [nb_front_end][3]                            
+1	1	+1	# dir_pht_size_address_share              [0][2]    [nb_front_end][3]                            
+1	1	+1	# nb_ooo_engine                                                                           
+1	1	+1	# nb_rename_unit                          [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_issue                           [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_reexecute                       [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_commit                          [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_inst_branch_complete                 [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_rename_unit_select                   [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_execute_loop_select                  [0]       [nb_ooo_engine]                              
+32	32	+1	# size_re_order_buffer                    [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_re_order_buffer_bank                 [0]       [nb_ooo_engine]                              
+1	1	+1	# commit_priority                         [0]       [nb_ooo_engine]                              
+1	1	+1	# commit_load_balancing                   [0]       [nb_ooo_engine]                              
+4	4	+1	# size_issue_queue                        [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_issue_queue_bank                     [0]       [nb_ooo_engine]                              
+1	1	+1	# issue_priority                          [0]       [nb_ooo_engine]                              
+1	1	+1	# issue_load_balancing                    [0]       [nb_ooo_engine]                              
+4	4	+1	# size_reexecute_queue                    [0]       [nb_ooo_engine]                              
+1	1	+1	# reexecute_priority                      [0]       [nb_ooo_engine]                              
+1	1	+1	# reexecute_load_balancing                [0]       [nb_ooo_engine]                              
+1	1	+1	# nb_execute_loop                                                                         
+1	1	+1	# nb_read_unit                            [0]       [nb_execute_loop]                            
+2	2	+1	# nb_execute_unit                         [0]       [nb_execute_loop]                            
+1	1	+1	# nb_write_unit                           [0]       [nb_execute_loop]                            
+1	1	+1	# nb_gpr_bank                             [0]       [nb_execute_loop]                            
+1	1	+1	# nb_gpr_port_read_by_bank                [0]       [nb_execute_loop]                            
+1	1	+1	# nb_gpr_port_write_by_bank               [0]       [nb_execute_loop]                            
+1	1	+1	# nb_spr_bank                             [0]       [nb_execute_loop]                            
+1	1	+1	# nb_spr_port_read_by_bank                [0]       [nb_execute_loop]                            
+1	1	+1	# nb_spr_port_write_by_bank               [0]       [nb_execute_loop]                            
+1	1	+1	# execution_unit_to_write_unit_priority   [0]       [nb_execute_loop]                            
+1	1	+1	# read_unit_to_execution_unit_priority    [0]       [nb_execute_loop]                            
+0	0	+1	# link_context_with_thread                [0]       [nb_thread]                                  
+0	0	+1	# link_decod_unit_with_decod_bloc         [0]       [nb_decod_bloc]                              
+0	0	+1	# link_rename_unit_with_rename_bloc       [0]       [nb_rename_bloc]                             
+0	0	+1	# link_read_unit_with_read_bloc           [0]       [nb_read_bloc]                               
+0	0	+1	# link_write_unit_with_write_bloc         [0]       [nb_write_bloc]                              
+0	0	+1	# link_execute_unit_with_functionnal_unit [0]       [nb_functionnal_unit]                        
+1	1	+1	# link_execute_unit_with_load_store_unit  [0]       [nb_load_store_unit]                         
+0	0	+1	# link_decod_bloc_with_thread             [0]       [nb_thread]                                  
+0	0	+1	# link_rename_bloc_with_front_end         [0]       [nb_front_end]                               
+1	1	+1	# table_dispatch                          [0][0][0] [nb_ooo_engine][nb_inst_issue][nb_read_bloc] 
+1	1	+1	# link_read_bloc_and_load_store_unit      [0][0]    [nb_read_bloc][nb_load_store_unit]           
+1	1	+1	# link_read_bloc_and_functionnal_unit     [0][0]    [nb_read_bloc][nb_functionnal_unit]          
+1	1	+1	# link_write_bloc_and_load_store_unit     [0][0]    [nb_write_bloc][nb_load_store_unit]          
+1	1	+1	# link_write_bloc_and_functionnal_unit    [0][0]    [nb_write_bloc][nb_functionnal_unit]         
+0	0	+1	# link_load_store_unit_with_thread        [0]       [nb_thread]                                  
+1	1	+1	# link_thread_and_functionnal_unit        [0][0]    [nb_thread][nb_functionnal_unit]             
+0	0	+1	# link_icache_port_with_thread            [0]       [nb_thread]                                  
+0	0	+1	# link_dcache_port_with_load_store_unit   [0][0]    [nb_load_store_unit][nb_cache_port]          
+1	1	+1	# dispatch_priority                                                                    
+1	1	+1	# dispatch_load_balancing                                                              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/src/main.cpp	(revision 144)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/SelfTest/src/main.cpp	(revision 145)
@@ -768,5 +768,6 @@
 
          _dispatch_priority                             ,
-         _dispatch_load_balancing                       
+         _dispatch_load_balancing                       ,
+         true // is_toplevel
          );
       
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Core.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Core.h	(revision 144)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Core.h	(revision 145)
@@ -31,4 +31,5 @@
 #endif
 #include "Behavioural/include/Usage.h"
+// #include "Behavioural/include/Function_pointer.h"
 
 #include "Common/include/ToString.h"
@@ -131,5 +132,6 @@
 #endif
    Parameters                                  * param,
-   morpheo::behavioural::Tusage_t                usage
+   morpheo::behavioural::Tusage_t                usage// ,
+   // morpheo::behavioural::Function_pointer      * function_pointer
    );
   public  :          ~Core             (void);
@@ -140,6 +142,11 @@
 						   morpheo::behavioural::Parameters_Statistics * param_statistics
 #else
-						   void
+                                                   void
 #endif
+
+// #ifdef STATISTICS
+// 						   morpheo::behavioural::Parameters_Statistics * param_statistics,
+// #endif
+//                                                    morpheo::behavioural::Function_pointer      * function_pointer
 						   );
   private : void        deallocation              (void);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Parameters.h	(revision 144)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/include/Parameters.h	(revision 145)
@@ -538,5 +538,6 @@
 
   Tpriority_t             dispatch_priority                             ,
-  Tload_balancing_t       dispatch_load_balancing                       
+  Tload_balancing_t       dispatch_load_balancing                       ,
+  bool                    is_toplevel=false
                         );
 //   public : Parameters  (Parameters & param) ;
